Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.log
Class LogResourceBundle

    java.lang.Object
      com.compoze.collab.resource.ResourceBundleCache
          com.compoze.collab.resource.ResourceBundleWrapper
              com.compoze.collab.log.LogResourceBundle

All Implemented Interfaces
  Serializable

    public class LogResourceBundle

extends com.compoze.collab.resource.ResourceBundleWrapper

This class wraps the resource bundle for com.compoze.collab.log.log_resources.

See Also
  Serialized Form

Field Summary
`static LogResourceKey` | `DEFAULTLOGENTRYPROTOTYPE_DEBUG_LOG`
`static LogResourceKey` | `DEFAULTLOGENTRYPROTOTYPE_ERROR_LOG`
`static LogResourceKey` | `DEFAULTLOGENTRYPROTOTYPE_INFO_LOG`
`static LogResourceKey` | `DEFAULTLOGENTRYPROTOTYPE_TRACE_LOG`
`static LogResourceKey` | `DEFAULTLOGENTRYPROTOTYPE_WARN_LOG`
`static com.compoze.collab.resource.ResourceKey` | `LOGLEVEL_DEBUG`
`static com.compoze.collab.resource.ResourceKey` | `LOGLEVEL_DEBUG_DESCRIPTION`
`static com.compoze.collab.resource.ResourceKey` | `LOGLEVEL_ERROR`
`static com.compoze.collab.resource.ResourceKey` | `LOGLEVEL_ERROR_DESCRIPTION`
`static com.compoze.collab.resource.ResourceKey` | `LOGLEVEL_INFO`
`static com.compoze.collab.resource.ResourceKey` | `LOGLEVEL_INFO_DESCRIPTION`
`static com.compoze.collab.resource.ResourceKey` | `LOGLEVEL_TRACE`
`static com.compoze.collab.resource.ResourceKey` | `LOGLEVEL_TRACE_DESCRIPTION`
`static com.compoze.collab.resource.ResourceKey` | `LOGLEVEL_WARN`
`static com.compoze.collab.resource.ResourceKey` | `LOGLEVEL_WARN_DESCRIPTION`

Constructor Summary
`LogResourceBundle()` Constructor.

Method Summary
`static LogResourceBundle` | `i()` Gets the instance.

Methods inherited from class com.compoze.collab.resource.ResourceBundleWrapper
`addOptionalKey, addOptionalProgrammaticKey, addRequiredKey, addRequiredProgrammaticKey, addSuggestedKey, addSuggestedProgrammaticKey, isValidKey, isValidProgrammaticKey, main, testClassesAndResources, testSourceCode, validate, validateProgrammaticKeys`

Methods inherited from class com.compoze.collab.resource.ResourceBundleCache
`getBaseName, getObject, getObject, getString, getString, getString, getString, getString, getString, getStringArray, getStringArray`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULTLOGENTRYPROTOTYPE_DEBUG_LOG

    public static final LogResourceKey DEFAULTLOGENTRYPROTOTYPE_DEBUG_LOG

### DEFAULTLOGENTRYPROTOTYPE_ERROR_LOG

    public static final LogResourceKey DEFAULTLOGENTRYPROTOTYPE_ERROR_LOG

### DEFAULTLOGENTRYPROTOTYPE_INFO_LOG

    public static final LogResourceKey DEFAULTLOGENTRYPROTOTYPE_INFO_LOG

### DEFAULTLOGENTRYPROTOTYPE_WARN_LOG

    public static final LogResourceKey DEFAULTLOGENTRYPROTOTYPE_WARN_LOG

### DEFAULTLOGENTRYPROTOTYPE_TRACE_LOG

    public static final LogResourceKey DEFAULTLOGENTRYPROTOTYPE_TRACE_LOG

### LOGLEVEL_DEBUG_DESCRIPTION

    public static final com.compoze.collab.resource.ResourceKey LOGLEVEL_DEBUG_DESCRIPTION

### LOGLEVEL_ERROR_DESCRIPTION

    public static final com.compoze.collab.resource.ResourceKey LOGLEVEL_ERROR_DESCRIPTION

### LOGLEVEL_INFO_DESCRIPTION

    public static final com.compoze.collab.resource.ResourceKey LOGLEVEL_INFO_DESCRIPTION

### LOGLEVEL_INFO

    public static final com.compoze.collab.resource.ResourceKey LOGLEVEL_INFO

### LOGLEVEL_WARN

    public static final com.compoze.collab.resource.ResourceKey LOGLEVEL_WARN

### LOGLEVEL_DEBUG

    public static final com.compoze.collab.resource.ResourceKey LOGLEVEL_DEBUG

### LOGLEVEL_ERROR

    public static final com.compoze.collab.resource.ResourceKey LOGLEVEL_ERROR

### LOGLEVEL_TRACE

    public static final com.compoze.collab.resource.ResourceKey LOGLEVEL_TRACE

### LOGLEVEL_WARN_DESCRIPTION

    public static final com.compoze.collab.resource.ResourceKey LOGLEVEL_WARN_DESCRIPTION

### LOGLEVEL_TRACE_DESCRIPTION

    public static final com.compoze.collab.resource.ResourceKey LOGLEVEL_TRACE_DESCRIPTION

Constructor Detail

### LogResourceBundle

    public LogResourceBundle()

  Constructor.

Method Detail

### i

    public static LogResourceBundle i()

  Gets the instance.

  Returns
    the singleton instance of the bundle

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved